For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETGet All Groups
      • POSTCreate Group
      • GETGet Group
      • POSTUpdate Group
      • DELDelete Group
      • POSTGenerate JWT Token
      • POSTAdd Entities
      • POSTRemove Entities
        • POSTLink Payees to Group
        • POSTHide Payees from Group
        • POSTLink Payors to Group
        • POSTHide Payors from Group
Logo
Sign inBook a demo
API ReferenceEntity GroupCounterparty

Link Payees to Group

POST
https://api.mercoa.com/entityGroup/:entityGroupId/addPayees
POST
/entityGroup/:entityGroupId/addPayees
$curl -X POST https://api.mercoa.com/entityGroup/entg_8545a84e-a45f-41bf-bdf1-33b42a55812c/addPayees \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "payees": [
> "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d"
> ],
> "customizations": [
> {
> "counterpartyId": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
> "accounts": [
> {
> "accountId": "85866843",
> "postalCode": "94105",
> "nameOnAccount": "John Doe"
> }
> ]
> }
> ]
>}'
Create association between all entities in the group and a given list of Payees. If a Payee has previously been archived, unarchive the Payee.
Was this page helpful?
Previous

Hide Payees from Group

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityGroupIdstringRequired
Entity Group ID or Entity Group ForeignID

Request

This endpoint expects an object.
payeeslist of stringsRequired
List of payee entity IDs or foreign IDs to associate with the entity
customizationslist of objectsOptional
List of customizations to apply to the payees. If the payee is not currently a counterparty of the entity, the counterparty will be created with the provided customizations.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented